/*
** MUDoc.h
**
** Define the MUDoc type and ops.
**
** Nov2020 - ABU fecit
*/

#ifndef __MUDOC_INCLUDED
#define __MUDOC_INCLUDED
 
#include <tcl.h>
#include <mupdf/pdf.h>
#include "xTcl_util.h"

typedef struct MUDoc_s MUDoc;

EXTERN_C fz_context*   MUDoc_context(MUDoc* mudoc);
EXTERN_C pdf_document* MUDoc_pdf_document(MUDoc* mudoc);
#include "xGraftedPages.h"
EXTERN_C  CollectionOf_xGraftedPages* MUDoc_xGraftedPages(MUDoc *mudoc);

EXTERN_C MUDoc* xTcl_GetMUDocFromObj(Tcl_Interp* interp, Tcl_Obj* objPtr);

EXTERN_C  TclResCode  MUDoc_Setup(Tcl_Interp* interp);

#endif // __MUDOC_INCLUDED